decoxs.plot<-function(x,y,gse1,gse2,xlab,ylab,method='pearson'){
        ias.plot(x[gse1,],x[gse2,],xlab=xlab,ylab=ylab,method=method)
	x11()
        ias.plot(y[gse1,],y[gse2,],xlab=xlab,ylab=ylab,method=method)       
}

ias.plot<-function(x,y,xlab,ylab,method='pearson'){
      
         if(ncol(x)!=ncol(y)) stop('The sample numbers of two expression profiles are different!')

         rx<-RRE.matrix(x)
         ry<-RRE.matrix(y)

         rx<-rx[upper.tri(rx)]
         ry<-ry[upper.tri(ry)]
	
         px<-(rx-mean(rx))/sd(rx)
	 py<-(ry-mean(ry))/sd(ry)

	 plot(rx,ry,xlab=xlab,ylab=ylab,pch=19)
	 abline(lsfit(rx,ry))
}


raw.plot<-function(x,col='red'){
    for(i in 1:nrow(x))x[i,]<-(x[i,]-mean(x[i,]))/sd(x[i,])
    hc<-hclust(dist(x))
    x<-x[hc[[3]],]
    plot(x[1,],col=col,type='l',ylim=c(min(x)-2,max(x)+2),ylab='Expression Value',
         xlab='Sample',main='Raw Gene Set Expression Profile')
    for(i in 1:nrow(x)) points(x[i,],col=col,type='l')
}

